Send template to a client

http
POST https://services.leadconnectorhq.com/proposals/templates/send

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
templateIdstringYeshTlkh7t8gujsahgg93Template Id
userIdstringYeshTlkh7t8gujsahgg93User Id
sendDocumentbooleanNoTrueSend Document
locationIdstringYeshTlkh7t8gujsahgg93Account Id
contactIdstringYeshTlkh7t8gujsahgg93Contact Id
opportunityIdstringNohTlkh7t8gujsahgg93Opportunity Id

Responses

200 - Document sent successfully
  • success (boolean, required): Success status Example: True

  • links (object[], required): Links for all recipients

    • referenceId (string, required): Reference ID Example: 550e8400-e29b-41d4-a716-446655440000

    • documentId (string, required): Document ID Example: c1e87a91-93b2-4b78-821f-85cf0e1f925b

    • recipientId (string, required): Recipient ID Example: u240JcS0E5qE0ziHnwMm

    • entityName (string, required): Entity name that the recipient belongs to Possible values: 'contacts', 'users' Example: contacts

    • recipientCategory (string, required): Recipient category (recipient, cc, or bcc) Possible values: 'recipient', 'cc', 'bcc' Example: recipient

    • documentRevision (number, required): Document revision number Example: 1

    • createdBy (string, required): Created by user ID Example: b6d8fa28-1112-4dc7-b9d2-f22b75a477ea

    • deleted (boolean, required): Whether the document is deleted Example: False

json
{
  "success": true,
  "links": [
    {
      "referenceId": "550e8400-e29b-41d4-a716-446655440000",
      "documentId": "c1e87a91-93b2-4b78-821f-85cf0e1f925b",
      "recipientId": "u240JcS0E5qE0ziHnwMm",
      "entityName": "contacts",
      "recipientCategory": "recipient",
      "documentRevision": 1,
      "createdBy": "b6d8fa28-1112-4dc7-b9d2-f22b75a477ea",
      "deleted": false
    }
  ]
}
400 - Unprocessable Entity
  • statusCode (number): Example: 400

  • message (string): Example: Bad Request

json
{
  "statusCode": 400,
  "message": "Bad Request"
}

Example

curl -X POST 'https://services.leadconnectorhq.com/proposals/templates/send' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "templateId": "hTlkh7t8gujsahgg93",
  "userId": "hTlkh7t8gujsahgg93",
  "sendDocument": true,
  "locationId": "hTlkh7t8gujsahgg93",
  "contactId": "hTlkh7t8gujsahgg93",
  "opportunityId": "hTlkh7t8gujsahgg93"
}'

Last updated October 26, 2026

Was this page helpful?